libzypp 17.37.10

zyppng::CheckSumWorkflow Namespace Reference

## Classes
struct | CheckSumWorkflowLogic

## Functions
expected< void > | verifyChecksum (SyncContextRef zyppCtx, zypp::CheckSum checksum, zypp::Pathname file)
AsyncOpRef< expected< void > > | verifyChecksum (ContextRef zyppCtx, zypp::CheckSum checksum, zypp::filesystem::Pathname file)
std::function< AsyncOpRef< expected< ProvideRes > >(ProvideRes &&)> | checksumFileChecker (ContextRef zyppCtx, zypp::CheckSum checksum)
std::function< expected< SyncProvideRes >(SyncProvideRes &&)> | checksumFileChecker (SyncContextRef zyppCtx, zypp::CheckSum checksum)

## Function Documentation

## ◆ verifyChecksum() [1/2]

expected< void > zyppng::CheckSumWorkflow::verifyChecksum | ( | SyncContextRef | zyppCtx,
|  | zypp::CheckSum | checksum,
|  | zypp::Pathname | file )

Definition at line 115 of file checksumwf.cc.

## ◆ verifyChecksum() [2/2]

AsyncOpRef< expected< void > > zyppng::CheckSumWorkflow::verifyChecksum | ( | ContextRef | zyppCtx,
|  | zypp::CheckSum | checksum,
|  | zypp::filesystem::Pathname | file )

Definition at line 120 of file checksumwf.cc.

## ◆ checksumFileChecker() [1/2]

std::function< AsyncOpRef< expected< ProvideRes > >(ProvideRes &&) > zyppng::CheckSumWorkflow::checksumFileChecker | ( | ContextRef | zyppCtx,
|  | zypp::CheckSum | checksum )

Returns a callable that executes the verify checksum as part of a pipeline, forwarding the ProvideRes if the workflow was successful.

Definition at line 125 of file checksumwf.cc.

## ◆ checksumFileChecker() [2/2]

std::function< expected< SyncProvideRes >(SyncProvideRes &&) > zyppng::CheckSumWorkflow::checksumFileChecker | ( | SyncContextRef | zyppCtx,
|  | zypp::CheckSum | checksum )

Definition at line 139 of file checksumwf.cc.